# Standard_Atomic.hxx File Reference

## Functions

void | Standard_Atomic_Increment (int volatile *var)

Implementation of some atomic operations (elementary operations with data that cannot be interrupted by parallel threads in the multithread process) on various platforms By the moment, only operations necessary for reference counter in Standard_Transient objects are implemented. Currently only two x86-based configurations (Windows NT with MS VC++ compiler and Linix with GCC) are really supported. Other configurations use non-atomic C equivalent. void Standard_Atomic_Increment (int volatile* var) Increments atomically integer variable pointed by var int Standard_Atomic_DecrementTest (int volatile* var) Decrements atomically integer variable pointed by var; returns 1 if result is zero, 0 otherwise.

int | Standard_Atomic_DecrementTest (int volatile *var)

## Detailed Description

## Function Documentation

int Standard_Atomic_DecrementTest | ( | int volatile * | var | ) | `[inline]`

void Standard_Atomic_Increment | ( | int volatile * | var | ) | `[inline]`